Namespace
library
Image / Tag
openjdk:23-ea-27-jdk
Content Digest
sha256:74e033bf7ab4ab11f82433cf7f52806d02078a218bbaf99e0e69a53f1ff76594
Details
Created

2024-06-13 18:48:11 UTC

Size

284 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-23

JAVA_VERSION

23-ea+27

LANG

C.UTF-8

PATH

/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:07bc88e18c4aea4343fc16a9930da57308d4df45d3d234aebcd5b1c1833ee290 - 16.43% (46.7 MB)

[#001] sha256:3438ace9b700899918a4d7fa283bc2a9c9444b4e13d6030a796e0acaedc9344a - 12.7% (36.1 MB)

[#002] sha256:e0ffa77baeabed864482cf37cae3a8fad33fdf2ecadcbdd2d8c561abe716ff97 - 70.87% (201 MB)


History
2024-06-01 00:47:59 UTC

/bin/sh -c #(nop) ADD file:aa0e8a24fb10efad12d0ad144ad3590843c14a46d9621c490269079b0e68826d in /

2024-06-01 00:48:00 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-23

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=23-ea+27

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_linux-x64_bin.tar.gz'; downloadSha256='eb59f2d5cf2c02ad25096fde5f25de34e18f9404effb811ef08c38de667d96a2'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_linux-aarch64_bin.tar.gz'; downloadSha256='3b9156c3cb3861374cf11e8f8175a0a129a0e063ff39a58b83123ca817758982'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2024-06-14 01:10:31 UTC

Size

2.17 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-23

JAVA_SHA256

32824da64e6c9cf88cd5a05fe443afcbbc809ef6d31125581adb03c42574a650

JAVA_URL

https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_windows-x64_bin.zip

JAVA_VERSION

23-ea+27


Layers

[#000] sha256:7c76e5cf7755ce357ffb737715b0da6799a50ea468cc252c094f4d915d426b3f - 59.72% (1.29 GB)

[#001] sha256:cedf08888525e83e4a050655b4ec0d81647e59a69f7007a560df774a656da9bb - 31.38% (696 MB)

[#002] sha256:c602416917334b1b40b1766f31085829719a6388656a1d647ea2abc00feb0923 - 0.0% (1.26 KB)

[#003] sha256:f1688348a3e4a03822ceb98e9a0853377789bdf282f0527de04d5e05727ac7d6 - 0.01% (339 KB)

[#004] sha256:282e59be6e048da1db31b57488437b0346e07ad59211aea20e081f5498fe1f5f - 0.0% (1.25 KB)

[#005] sha256:309a6a6b1565679ef69e92e5a886363b229811c76b220f8e606f5e1c9bf2f0fa - 0.01% (326 KB)

[#006] sha256:d2df6141da2f39383f00d8b9baf4172b3d28cc0ae33698eb819172d33fb2fdff - 0.0% (1.25 KB)

[#007] sha256:85ae121de8a6a0e1327114763b4c00334606a8e564d0ad11a4645a02ec9f35d5 - 0.0% (1.25 KB)

[#008] sha256:79b2e682f0596f41e088e58caed5589f9366ed36a0e9dc60016a90a4e340dd66 - 0.0% (1.27 KB)

[#009] sha256:c1c96f85068b253d6c15a4f7cbd5ad8f22dea552cb1f20f589fead4d183e4573 - 8.88% (197 MB)

[#010] sha256:42d9e97f45f32f989075295d437e83990377953e9ffcc4fe00c1203c7d84ca61 - 0.0% (1.25 KB)


History
2023-06-08 12:55:20 UTC

Apply image 10.0.20348.1787

2024-06-07 09:02:12 UTC

Install update 10.0.20348.2527

2024-06-14 01:09:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-06-14 01:10:01 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-06-14 01:10:01 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-23

2024-06-14 01:10:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-06-14 01:10:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=23-ea+27

2024-06-14 01:10:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_windows-x64_bin.zip

2024-06-14 01:10:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=32824da64e6c9cf88cd5a05fe443afcbbc809ef6d31125581adb03c42574a650

2024-06-14 01:10:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-06-14 01:10:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-06-14 01:11:55 UTC

Size

2.26 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-23

JAVA_SHA256

32824da64e6c9cf88cd5a05fe443afcbbc809ef6d31125581adb03c42574a650

JAVA_URL

https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_windows-x64_bin.zip

JAVA_VERSION

23-ea+27


Layers

[#000] sha256:c9226d61d3bdbf9f09821b32f5878623b8daaa5fb4f875cb63c199f87a26d57e - 67.99% (1.54 GB)

[#001] sha256:56a5fd77f8cb6921d3e283f98213bf8c163d3502a75b4a8e4a809a15654f7d1a - 23.48% (544 MB)

[#002] sha256:37c7652107e157e4107eec38016399214072b42e76e0fe157b2d85af4dedc827 - 0.0% (1.27 KB)

[#003] sha256:bc21efae21de8ade2039b5a09d51a3dda4f9e2367e120140f3ac207589e78480 - 0.02% (462 KB)

[#004] sha256:b16e2d3367af132dea745e0e930ecb8b20a5824294e38b8978b7901c2f988528 - 0.0% (1.27 KB)

[#005] sha256:006f5e414a248976f9b1f6969d1f0788def63ec00e55fb81d28bd97d58c57ee4 - 0.01% (314 KB)

[#006] sha256:5a0398062330db499c87f9310d404322593c8b45c277b8357097d9260ee7e295 - 0.0% (1.27 KB)

[#007] sha256:646d771f56c9406509f1f0175060772b172e5964589c3f645b5ccc7f87adc3fb - 0.0% (1.26 KB)

[#008] sha256:36fcd5c442c08de28ef5a898cbd208258420c2730cab1512777cfb2d26beb01f - 0.0% (1.26 KB)

[#009] sha256:97c267bccf70c87c8d6c94cff80e7c2466e9964dd6aec0adda1bd819f515b2c3 - 8.5% (197 MB)

[#010] sha256:d3d885024750fb722fd19afbe1f2a1b502e2e874da59139e8fdf19ba1f2c6819 - 0.0% (1.27 KB)


History
2023-06-08 12:58:24 UTC

Apply image 10.0.17763.4499

2024-06-07 11:19:50 UTC

Install update 10.0.17763.5936

2024-06-14 01:10:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-06-14 01:10:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-06-14 01:10:59 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-23

2024-06-14 01:11:17 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-06-14 01:11:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=23-ea+27

2024-06-14 01:11:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_windows-x64_bin.zip

2024-06-14 01:11:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=32824da64e6c9cf88cd5a05fe443afcbbc809ef6d31125581adb03c42574a650

2024-06-14 01:11:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-06-14 01:11:55 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-06-13 18:48:11 UTC

Size

281 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-23

JAVA_VERSION

23-ea+27

LANG

C.UTF-8

PATH

/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:da7a98631edf9304544ff835ff2891b9c7a6773ae8a8bbd8041b6ef3af01fae9 - 16.15% (45.4 MB)

[#001] sha256:4126ceeefbe5a1d06272578a6b6a99a1d422489b25511cbccbaaeb1576551bfd - 12.97% (36.5 MB)

[#002] sha256:90424573fc8c144ff5249d39aae6a2d2e035f37793b4e3c0ca7f9e4d5aa015ed - 70.88% (199 MB)


History
2024-06-01 01:47:52 UTC

/bin/sh -c #(nop) ADD file:e2d1c7a0eab3573f307b1affb1e88a1c24614b2ec92eb17723bc07cfa2083423 in /

2024-06-01 01:47:53 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-23

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-23/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=23-ea+27

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_linux-x64_bin.tar.gz'; downloadSha256='eb59f2d5cf2c02ad25096fde5f25de34e18f9404effb811ef08c38de667d96a2'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk23/27/GPL/openjdk-23-ea+27_linux-aarch64_bin.tar.gz'; downloadSha256='3b9156c3cb3861374cf11e8f8175a0a129a0e063ff39a58b83123ca817758982'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-06-13 18:48:11 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete